require_relative '../lib/robocopy'

task :default => :copy

robocopy :copy do |cmd|
  cmd.source = 'bin'
  cmd.destination = 'output'
  cmd.mirror
  cmd.tee
  cmd.log_append = 'example.log'
end

robocopy :slice do |cmd|
  cmd.source = 'bin'
  cmd.destination = 'output'
  cmd.files = [ 'dummy-2.txt' ] 
end

robocopy :dryrun do |cmd|
  cmd.source = 'bin'
  cmd.destination = 'output'
  cmd.mirror
  cmd.dryrun
end

robocopy :exclude do |cmd|
  cmd.source = 'bin'
  cmd.destination = 'output'
  cmd.mirror
  cmd.exclude_files = [ 'dummy-a.txt' ]
  cmd.exclude_dirs = [ 'A' ]
end
