require_relative 'robocopy/robocopy_configuration'
require_relative 'robocopy/robocopy_task'
require_relative 'robocopy/command_line'
require_relative 'robocopy/version'

def robocopy(*args, &block)
  config = Robocopy::RobocopyConfiguration.new
  block.call config
  
  body = proc { 
    command_line = Robocopy::CommandLine.new config.command, config.make_parameters
    task = Robocopy::RobocopyTask.new command_line
    
    task.execute
  }
  
  Rake::Task.define_task *args, &body
end
